﻿@using AdminCaja.Areas.Admin.Models.Services
@model ServiceViewModel

<div class="row page-titles">
    <div class="col-md-5 col-8 align-self-center">
        <h3 class="text-themecolor m-b-0 m-t-0">Secciones</h3>
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="/Admin">Inicio </a></li>
            <li class="breadcrumb-item"><a href="/Admin/Services">Servicios</a></li>
            <li class="breadcrumb-item active">@Model.Title</li>
        </ol>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Start Page Content -->
<!-- ============================================================== -->
<div class="row">
    <!-- column -->
    <div class="col-lg-12 help-content">
        <div id="" class="card wow slideInRight" data-wow-delay=".3s" data-wow-offset="300">
            <div class="perfil-head"></div>
            <div class="card-block">
                @using (Html.BeginForm("SaveService", "Services", FormMethod.Post))
                {
                    <input type="hidden" name="Id" id="Id" value="@Model.Id" />
                    @Html.AntiForgeryToken()

                    <div class="form-group">
                        <label for="message-text" class="col-form-label">Título tarjeta</label>
                        @Html.EditorFor(m => m.Title, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(m=> m.Title)
                    </div>
                    <div class="form-group">
                        <label for="" class="col-form-label">Descripción de tarjeta</label>
                        @Html.TextAreaFor(m => m.Description, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.Description)
                    </div>
                    <div class="form-group">
                        <label for="" class="col-form-label">Texto hover</label>
                        @Html.TextAreaFor(m => m.HoverText, new { @class = "form-control" })
                        @Html.ValidationMessageFor(m => m.HoverText)
                    </div>
                    <div class="col-md-12 mt-5">
                        <button type="submit" class="btn btn-primary u-btn-primary transition-3d-hover">Guardar</button>
                    </div>
                }
            </div>

            @if(Model.Id != 0)
            {
                <dir class="row">
                    <div class="col-lg-8"></div>
                    <div class="col-lg-4">
                        <p><a href="/Admin/Services/EditServiceContent/-1?ServiceId=@Model.Id" class="btn btn-success">Agregar sección</a></p>
                    </div>
                </dir>

                <div class="card-block" data-modal-target="popup">
                    @Html.Partial("FormServiceListContent", Model)
                </div>
            }
        </div>
    </div>
</div>

@section scripts{
    <script>

    </script>
    }